%global momorel 1

Name: evolution-sharp
Version: 0.20.0
Release: %{momorel}m%{?dist}
License: GPLv2+
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.ximian.com/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.20/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: evolution-sharp-0.18.1-gacutil.patch

Summary: evolution library for .NET
Group: Development/Libraries

BuildRequires: pkgconfig
BuildRequires: mono-core
BuildRequires: gtk-sharp2
BuildRequires: evolution-data-server-devel >= 2.26.0
BuildRequires: mono-devel >= 2.2
BuildRequires: gtk-sharp2-devel >= 2.12.8

%description
Evolution# is a .NET language binding for various Ximian Evolution (tm)
libraries.  Evolution# is free software, licensed under the GNU GPL.

%package devel
Summary: Development files for building against evolution
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
evolution-sharp-devel

%prep
%setup -q
%patch0 -p1 -b .gacutil

%build
autoreconf -vfi
%configure
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name "*.mdb" -delete

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/libevolutionglue.so
%exclude %{_libdir}/libevolutionglue.la
%{_prefix}/lib/mono/evolution-sharp
%{_prefix}/lib/mono/gac/evolution-sharp
%{_datadir}/gapi-2.0/evolution-api.xml 

%files devel
%defattr(-, root, root)
%{_libdir}/libevolutionglue.a
%{_libdir}/pkgconfig/evolution-sharp.pc

%changelog
* Wed Mar 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.20.0-1m)
- update to 0.20.0

* Mon Feb 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.19.2-1m)
- update to 0.19.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18.1-4m)
- rebuild against rpm-4.6

* Tue Jan 13 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18.1-3m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.1-2m)
- good-bye debug symbol

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.1-1m)
- update to 0.18.1

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.18.0-1m)
- update to 0.18.0

* Mon Jul 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17.4-2m)
- enable gacutil

* Sat Jul 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.17.4-1m)
- update to 0.17.4
- add patch0 (build fix only)
- does not work ;-P

* Thu May  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.1.1-1m)
- update to 0.16.1.1
- coment out patch0, patch1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.0-3m)
- rebuild against gcc43

* Wed Mar 19 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.16.0-2m)
- add pkgconfig patch and libdir patch

* Wed Mar 19 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.16.0-1m)
- update to 0.16.0

* Thu Mar  6 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0.1-3m)
- rebuild against gtk-sharp2-2.12.0

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14.0.1-2m)
- %%NoSource -> NoSource

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.14.0.1-1m)
- update to 0.14.0.1

* Tue Aug 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.3-1m)
- update to 0.13.3

* Mon May 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-2m)
- delete %%post %%postun scripts

* Sun May 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.4-1m)
- initial build
